# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: llvmdev
  version: 12.0.0
source:
  patches:
    - patches/D101972.patch
    - patches/llvm-config-no-libLLVM.diff
    - patches/numba-0001-Revert-Limit-size-of-non-GlobalValue-name.patch
    - patches/osx_ver.patch
    - patches/pass-through-qemu-ld-prefix.diff
  sha256: 49dc47c8697a1a0abd4ee51629a696d7bfe803662f2a7252a3b16fc75f3a8b50
  url: https://github.com/llvm/llvm-project/releases/download/llvmorg-12.0.0/llvm-12.0.0.src.tar.xz
build:
  activate_in_script: true
  number: 3
  string: h63e4c0e_3
requirements:
  build:
    - bzip2 1.0.8 h3422bc3_4
    - c-ares 1.17.1 h27ca646_1
    - ca-certificates 2021.5.30 h4653dfc_0
    - certifi 2021.5.30 py39h2804cbe_0
    - clang_bootstrap_osx-arm64 11.1.0 h1741c7c_2
    - cmake 3.18.4 h933402a_0
    - expat 2.4.1 hbdafb3b_0
    - krb5 1.19.1 hd92b7a7_0
    - libcurl 7.77.0 h8fe1914_0
    - libcxx 11.1.0 h168391b_0
    - libedit 3.1.20191231 hc8eb9b7_2
    - libev 4.33 h642e427_1
    - libnghttp2 1.43.0 hf3018f0_0
    - libssh2 1.9.0 hb80f160_6
    - libuv 1.41.0 h27ca646_0
    - lz4-c 1.9.3 h9f76cd9_0
    - ncurses 6.2 h9aa5885_4
    - openssl 1.1.1k h27ca646_0
    - pip 21.1.2 pyhd8ed1ab_0
    - python 3.9.5 h54d631c_0_cpython
    - python_abi 3.9 1_cp39
    - readline 8.1 hedafd6a_0
    - rhash 1.4.1 h27ca646_0
    - setuptools 49.6.0 py39h2804cbe_3
    - sqlite 3.35.5 hc49ca36_0
    - tk 8.6.10 hf7e6567_1
    - tzdata 2021a he74cb21_0
    - wheel 0.36.2 pyhd3deb0d_0
    - xz 5.2.5 h642e427_1
    - zlib 1.2.11 h31e879b_1009
    - zstd 1.4.9 h5b28eab_0
  host:
    - libllvm12 12.0.0 h63e4c0e_3
    - llvm-tools 12.0.0 h63e4c0e_3
    - zlib 1.2.11 h31e879b_1009
  run:
    - libcxx >=11.1.0.a0
    - libllvm12 12.0.0 h63e4c0e_3
    - llvm-tools 12.0.0 h63e4c0e_3
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - $PREFIX/bin/llvm-config --libs
    - test -f $PREFIX/include/llvm/Pass.h
    - test -f $PREFIX/lib/libLLVMCore.a
    - $PREFIX/libexec/llvm/not false
about:
  dev_url: https://github.com/llvm-mirror/llvm
  home: http://llvm.org/
  license: Apache-2.0 WITH LLVM-exception
  license_family: Apache
  license_file: LICENSE.TXT
  summary: Development headers and libraries for LLVM
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - SylvainCorlay
    - inducer
    - isuruf
    - jakirkham
    - mingwandroid
    - timsnyder
